/*
 * process.h
 * ----
 * value processing and transforming functions
 */

#ifndef __WP2016_DISPLAY_PROCESS_H
#define __WP2016_DISPLAY_PROCESS_H


/* constants */


/* prototypes */
uint16_t dither(uint16_t value, uint8_t in_bits, uint8_t out_bits, uint8_t step);

int16_t scale16i(int16_t val, int16_t src_min, int16_t src_max,
		int16_t dest_min, int16_t dest_max);
uint16_t scale16ufast(uint16_t val, uint16_t src_max, uint16_t dest_max);
uint16_t scale16ufaster(uint16_t val, uint8_t src_bits, uint16_t dest_max);


#endif
