/*
 * tools.c
 */

#include "em_device.h"

#include <assert.h>

#include "tools.h"


/* system helper functions */
void systick_isr_init()
{
	SystemCoreClockUpdate();
	SysTick_Config(SystemCoreClock / MAIN_ISR_TICKRATE);
	NVIC_SetPriority(SysTick_IRQn, 0);
	NVIC_EnableIRQ(SysTick_IRQn);
}


/* math helper functions */


/* string helper functions */
void strtolower(unsigned char *s)
{
	for (; *s != '\0'; ++s)
		if (*s <= 0x7f && isupper(*s))
			*s = tolower(*s);
}
